CGAL 6.2 - 2D and 3D Linear Geometry Kernel

Loading...
Searching...
No Matches
Classes
Cartesian/Homogeneous Conversion
Reference Manual

##

## Classes
class | CGAL::Cartesian_converter< K1, K2, NTConverter >
| `Cartesian_converter` converts objects from the kernel traits `K1` to the kernel traits `K2` using `NTConverter` to do the conversion. More...
class | CGAL::Homogeneous_converter< K1, K2, RTConverter, FTConverter >
| `Homogeneous_converter` converts objects from the kernel traits `K1` to the kernel traits `K2`. More...
template<typename RT >
Point_2< Homogeneous< RT > > | CGAL::cartesian_to_homogeneous (const Point_2< Cartesian< RT > > &cp)
| Functions to convert between Cartesian and homogeneous kernels.
template<typename RT >
Point_3< Homogeneous< RT > > | CGAL::cartesian_to_homogeneous (const Point_3< Cartesian< RT > > &cp)
| converts 3D point `cp` with Cartesian representation into a 3D point with homogeneous representation with the same number type.
template<typename FT >
Point_2< Cartesian< FT > > | CGAL::homogeneous_to_cartesian (const Point_2< Homogeneous< FT > > &hp)
| converts 2D point `hp` with homogeneous representation into a 2D point with Cartesian representation with the same number type.
template<typename FT >
Point_3< Cartesian< FT > > | CGAL::homogeneous_to_cartesian (const Point_3< Homogeneous< FT > > &hp)
| converts 3D point `hp` with homogeneous representation into a 3D point with Cartesian representation with the same number type.
template<typename RT >
Point_2< Cartesian< Quotient< RT > > > | CGAL::homogeneous_to_quotient_cartesian (const Point_2< Homogeneous< RT > > &hp)
| converts the 2D point `hp` with homogeneous representation with number type `RT` into a 2D point with Cartesian representation with number type `Quotient<RT>`.
template<typename RT >
Point_3< Cartesian< Quotient< RT > > > | CGAL::homogeneous_to_quotient_cartesian (const Point_3< Homogeneous< RT > > &hp)
| converts the 3D point `hp` with homogeneous representation with number type `RT` into a 3D point with Cartesian representation with number type `Quotient<RT>`.
template<typename RT >
Point_2< Homogeneous< RT > > | CGAL::quotient_cartesian_to_homogeneous (const Point_2< Cartesian< Quotient< RT > > > &cp)
| converts 2D point `cp` with Cartesian representation with number type `Quotient<RT>` into a 2D point with homogeneous representation with number type `RT`.
template<typename RT >
Point_3< Homogeneous< RT > > | CGAL::quotient_cartesian_to_homogeneous (const Point_3< Cartesian< Quotient< RT > > > &cp)
| converts 3D point `cp` with Cartesian representation with number type `Quotient<RT>` into a 3D point with homogeneous representation with number type `RT`.

## Function Documentation

## ◆ cartesian_to_homogeneous()

template<typename RT >

Point_2< Homogeneous< RT > > CGAL::cartesian_to_homogeneous | ( | const Point_2< Cartesian< RT > > & | cp | ) |

`#include <CGAL/cartesian_homogeneous_conversion.h>`

Functions to convert between Cartesian and homogeneous kernels.

See also
  `CGAL::Cartesian<FieldNumberType>`
  `CGAL::Cartesian_converter<K1, K2, NTConverter>`
  `CGAL::Homogeneous<RingNumberType>`
  `CGAL::Homogeneous_converter<K1, K2, RTConverter, FTConverter>`
  `CGAL::Simple_cartesian<FieldNumberType>`
  `CGAL::Simple_homogeneous<RingNumberType>`

converts 2D point `cp` with Cartesian representation into a 2D point with homogeneous representation with the same number type.